#!/bin/bash
set -x
source /home/socleng-monoprix/exploit_batch/config-report-batch.properties
echo "toto"
#
#Logs
LOG_FILE="/home/socleng-monoprix/logs/Import_Donnes_Contact_For_PBI.log"
#
# Date de reference : 1er janvier 2023
date_ref="2025-01-01"
#
# Date du jour (aujourd hui)
date_du_jour=$(date +%Y-%m-%d)
#
# Calcul du nombre de jours entre les deux dates
nb_jours=$(( ($(date -d "$date_du_jour" +%s) - $(date -d "$date_ref" +%s)) / 86400 ))
echo "=== debut" >> "$LOG_FILE"
echo "=== $(date '+%Y-%m-%d %H:%M:%S') ===" >> "$LOG_FILE"
echo "Nombre de jours entre le 1er janvier 2023 et aujourd'hui : $nb_jours" >> "$LOG_FILE"
#
# Suppression des donnees de la table f_contact_v2
#echo "lancement truncate table f_contact_v2"  >> "$LOG_FILE"
#echo "=== $(date '+%Y-%m-%d %H:%M:%S') ===" >> "$LOG_FILE"
#psql -U $userReport -h $hoteReport -d $baseReport -c "TRUNCATE TABLE report.f_contact_v2 CONTINUE IDENTITY RESTRICT;" >> "$LOG_FILE" 2>&1
#
# Import des donnees de la table f_contact_v2
echo "lancement import des donnes table f_contact_v2"  >> "$LOG_FILE"
echo "select report.refresh_contact($nb_jours);"  >> "$LOG_FILE"
psql -U $userReport -h $hoteReport -d $baseReport -c "select report.refresh_contact($nb_jours);" >> "$LOG_FILE"  2>&1
echo "=== $(date '+%Y-%m-%d %H:%M:%S') ===" >> "$LOG_FILE"
echo "=== fin" >> "$LOG_FILE"
